taccuino.vo

## Class DoloreRequestDTO

- java.lang.Object
- - taccuino.vo.DoloreRequestDTO

- Direct Known Subclasses:
    DoloreResponseDTO

      public class DoloreRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `aiCode`
    `protected String` | `aiCodeSystem`
    `protected String` | `aiCodeSystemName`
    `protected Double` | `aiCodeSystemVersion`
    `protected String` | `areaInteressata`
    `protected LocalDate` | `dataFineDolore`
    `protected LocalDate` | `dataInizioDolore`
    `protected String` | `descCode`
    `protected String` | `descCodeSystem`
    `protected String` | `descCodeSystemName`
    `protected Double` | `descCodeSystemVersion`
    `protected String` | `descrizione`
    `protected String` | `valore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoloreRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAiCode()`
    `String` | `getAiCodeSystem()`
    `String` | `getAiCodeSystemName()`
    `Double` | `getAiCodeSystemVersion()`
    `String` | `getAreaInteressata()`
    `LocalDate` | `getDataFineDolore()`
    `LocalDate` | `getDataInizioDolore()`
    `String` | `getDescCode()`
    `String` | `getDescCodeSystem()`
    `String` | `getDescCodeSystemName()`
    `Double` | `getDescCodeSystemVersion()`
    `String` | `getDescrizione()`
    `String` | `getValore()`
    `void` | `setAiCode(String aiCode)`
    `void` | `setAiCodeSystem(String aiCodeSystem)`
    `void` | `setAiCodeSystemName(String aiCodeSystemName)`
    `void` | `setAiCodeSystemVersion(Double aiCodeSystemVersion)`
    `void` | `setAreaInteressata(String areaInteressata)`
    `void` | `setDataFineDolore(LocalDate dataFineDolore)`
    `void` | `setDataInizioDolore(LocalDate dataInizioDolore)`
    `void` | `setDescCode(String descCode)`
    `void` | `setDescCodeSystem(String descCodeSystem)`
    `void` | `setDescCodeSystemName(String descCodeSystemName)`
    `void` | `setDescCodeSystemVersion(Double descCodeSystemVersion)`
    `void` | `setDescrizione(String descrizione)`
    `void` | `setValore(String valore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataInizioDolore

          protected LocalDate dataInizioDolore

    - #### dataFineDolore

          protected LocalDate dataFineDolore

    - #### descrizione

          protected String descrizione

    - #### areaInteressata

          protected String areaInteressata

    - #### valore

          protected String valore

    - #### descCode

          protected String descCode

    - #### descCodeSystem

          protected String descCodeSystem

    - #### descCodeSystemName

          protected String descCodeSystemName

    - #### descCodeSystemVersion

          protected Double descCodeSystemVersion

    - #### aiCode

          protected String aiCode

    - #### aiCodeSystem

          protected String aiCodeSystem

    - #### aiCodeSystemName

          protected String aiCodeSystemName

    - #### aiCodeSystemVersion

          protected Double aiCodeSystemVersion

  - ### Constructor Detail

    - #### DoloreRequestDTO

          public DoloreRequestDTO()

  - ### Method Detail

    - #### getDataInizioDolore

          public LocalDate getDataInizioDolore()

    - #### setDataInizioDolore

          public void setDataInizioDolore(LocalDate dataInizioDolore)

    - #### getDataFineDolore

          public LocalDate getDataFineDolore()

    - #### setDataFineDolore

          public void setDataFineDolore(LocalDate dataFineDolore)

    - #### getDescrizione

          public String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(String descrizione)

    - #### getAreaInteressata

          public String getAreaInteressata()

    - #### setAreaInteressata

          public void setAreaInteressata(String areaInteressata)

    - #### getValore

          public String getValore()

    - #### setValore

          public void setValore(String valore)

    - #### getDescCode

          public String getDescCode()

    - #### setDescCode

          public void setDescCode(String descCode)

    - #### getDescCodeSystem

          public String getDescCodeSystem()

    - #### setDescCodeSystem

          public void setDescCodeSystem(String descCodeSystem)

    - #### getDescCodeSystemName

          public String getDescCodeSystemName()

    - #### setDescCodeSystemName

          public void setDescCodeSystemName(String descCodeSystemName)

    - #### getAiCode

          public String getAiCode()

    - #### setAiCode

          public void setAiCode(String aiCode)

    - #### getAiCodeSystem

          public String getAiCodeSystem()

    - #### setAiCodeSystem

          public void setAiCodeSystem(String aiCodeSystem)

    - #### getAiCodeSystemName

          public String getAiCodeSystemName()

    - #### setAiCodeSystemName

          public void setAiCodeSystemName(String aiCodeSystemName)

    - #### getDescCodeSystemVersion

          public Double getDescCodeSystemVersion()

    - #### setDescCodeSystemVersion

          public void setDescCodeSystemVersion(Double descCodeSystemVersion)

    - #### getAiCodeSystemVersion

          public Double getAiCodeSystemVersion()

    - #### setAiCodeSystemVersion

          public void setAiCodeSystemVersion(Double aiCodeSystemVersion)